# $Revision: 1.39 $, $Date: 2004/05/07 00:32:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	Date
Summary:	Manipulating timezones and parsing/formatting dates in Perl
Summary(pl):	Manipulowanie strefami czasowymi i analizowanie/formatowanie dat w Perlu
Name:		perl-TimeDate
Version:	1.16
Release:	2
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	b3cc35a7cabd106ac8829d2f2ff4bd9d
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TimeDate contains Date::Format, Date::Parse and Time::Zone.

Date::Format provides routines to format dates into ASCII strings.
They correspond to the C library routines strftime() and ctime().

Date::Parse provides two routines for parsing date strings into time
values: str2time(DATE [, ZONE]) and strptime(DATE [, ZONE]).

Time::Zone contains miscellaneous timezone manipulations routines.

%description -l pl
TimeDate zawiera moduy: Date::Format, Date::Parse i Time::Zone.

Date::Format dostarcza funkcje, formatujce dat w cigi ASCII.
Funkcje te odpowiadaj strftime() i ctime() z biblioteki C.

Date::Parse udostpnia dwie funkcje do przetwarzania dat w wartoci
time: str2time(DATE [, ZONE]) and strptime(DATE [, ZONE]).

Time::Zone zawiera rne funkcje, suce do manipulowania strefami
czasowymi.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Date/*.pm
%dir %{perl_vendorlib}/Date/Language
%{perl_vendorlib}/Date/Language/*.pm
%{perl_vendorlib}/Time/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-TimeDate.spec,v $
Revision 1.39  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.38  2004/05/03 21:33:35  ankry
- tests added, licence fix, cosmetics

Revision 1.37  2004/04/15 21:44:16  ankry
- cosmetics, license fixes

Revision 1.36  2003/09/18 13:22:30  adamg
- updated to 1.16

Revision 1.35  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:39:03  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/12/01 22:35:25  qboosh
- pl description

Revision 1.27  2002/11/30 15:36:01  radek
- provided informative summary/description
- Epoch: 1

Revision 1.26  2002/11/28 18:12:16  mis
- autoupdated to 1.14

Revision 1.25  2002/07/20 20:34:39  qboosh
- updated to 1.1301

Revision 1.24  2002/07/16 11:37:31  ankry
- cleaning

Revision 1.23  2002/07/16 08:34:12  ankry
- fixed previous commit (%%defines)

Revision 1.22  2002/07/15 23:22:57  ankry
- added translations, standarized Source0 URL
- release 2

Revision 1.21  2002/07/11 22:20:11  qboosh
- new %%doc and cosmetics

Revision 1.20  2002/07/11 08:05:29  depesz
- new version; should work; STBR

Revision 1.19  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/03/03 21:00:55  marcus
-rel.5.

Revision 1.17  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/10 15:37:15  depesz
adapterized

Revision 1.15  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:17:48  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/26 02:15:09  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/09/18 06:07:40  kloczek
- updated to 1.10.

Revision 1.9  2000/07/13 23:46:37  pius
- rebuild with perl-5.6.0
- release 4

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/30 15:27:08  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- added missing files

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
